%  modelit.ui.ProgressBar - A progressbar typically communicates the progress of some work   
%  by displaying its percentage of completion and possibly a textual display of this percentage.   
%  To indicate that a task of unknown length is executing, the progressbar can be put into indeterminate mode.   
%  While the bar is in indeterminate mode, it animates constantly to show that work is occurring.   
%   
%  modelit.ui.ProgressBar Properties:   
%    Style                  - ProgressBar (Read only)   
%    NextFocusableComponent - Specifies the next component to get the focus after this one.   
%    ContextMenu            - The handle of the context menu associated with the progressbar.   
%    Min                    - The progressbar's minimum value.   
%    Max                    - The progressbar's maximum value.   
%    Value                  - The progressbar's current value, NaN for indeterminate mode.   
%    ForegroundColor        - The color of the progressbar.   
%    BackgroundColor        - The color of the progressbar's bounding box.   
%    TooltipString          - The text of the tooltip associated with the progressbar.   
%    Orientation            - The progressbar's orientation.   
%    String                 - Determines which string the progressbar should render if the paintstring property is true.   
%    PaintString            - Determines whether the progressbar should render a progress string.   
%    MatlabHandle           - The handle of the associated Matlab container for this java object.   
%    JavaHandle             - The underlying java object.   
%    Interruptible          - Callback routine interruption.   
%    BusyAction             - Callback queuing.   
%    Position               - Size and location of the component.   
%    Tag                    - User specified object identifier.   
%    Userdata               - User specified data for this modelit.ui.Jacontrol object   
%    Units                  - Used to interpret the extent and position properties.   
%    Visible                - Component visibility.   
%    Enable                 - Disable or enable the component.   
%    Extent                 - Position rectangle (read only).   
%    Clipping               - Clipping mode.   
%    Type                   - String with the object type.   
%    FontUnits              - This property determines the units used by the FontSize property.   
%    FontWeight             - Setting this property to bold selects a bold version of the component's font, when it is available on your system.   
%    FontSize               - A number specifying the size in pixels of the component's font.   
%    FontName               - The name of the font in which to display the text in the components.   
%    FontAngle              - Setting this property to italic selects a slanted version of the component's font, when it is available on your system.   
%    MouseEnteredCallback   - Specifies the callback function that should be executed when the mouse enters the component.   
%    MouseExitedCallback    - Specifies the callback function that should be executed when the mouse exits the component.   
%    MouseClickedCallback   - Specifies the function that should be executed when the mouse is clicked on the component   
%    PreferredSize          - The component's preferred size, measured in pixels.   
%    MinimumSize            - The component's minimum size, measured in pixels.   
%    MaximumSize            - The component's maximum size, measured in pixels.   
%    Parent                 - The component's parent.   
%    Children               - The component's children.   
%   
%  modelit.ui.ProgressBar Methods:   
%    cleanup                 - Reset object fields to empty values, called by the destructor.   
%    ProgressBar             - modelit.ui.ProgressBar constructor   
%    delete                  - modelit.ui.Jacontrol destructor.   
%    isappdata               - True if application defined data exists.   
%    getappdata              - Get application defined data.   
%    setappdata              - Set application defined data.   
%    ishandle                - Returns true if this is a valid graphics object   
%    java                    - Returns the underlying Java object   
%    handle                  - Returns the handle of the component's Matlab container   
%    ancestor                - Returns the handle of the closest ancestor of obj   
%    browse                  - (Static) Browse the available classes in the modelit.ui package   
%    getDefaultScalarElement - (Static) Create a default object for heterogeneous arrays.   
%    ne                      - Not equal relation for handles.   
%    eq                      - Equal relation for handles.   
%    findobj                 - Returns the objects whose property values match those passed as param-value pairs to the findobj command.   
%    set                     - Set object properties   
%    get                     - GET    Get MATLAB object properties.   
%    setdisp                 - SETDISP    Specialized MATLAB object property display.   
%    getdisp                 - GETDISP    Specialized MATLAB object property display.   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
