%  ax_limits - Get limits for one or more x or y axes, limits are the lowest   
%  and highest value of all axes.   
%   
%  CALL:   
%   limits = ax_limits(hax, mode, varargin)   
%   
%  INPUT:   
%   hax:   
%       array of axes handles   
%   mode:   
%       string, possible value 'x' or 'y'   
%   extend:   
%       (optional) double extend limits to the left and right   
%       default value 0.05   
%   zero:   
%       (optional) boolean, include zero   
%       default value false   
%   minspan:   
%       (optional) double, minimum span of limits   
%        default value 0   
%   include:   
%       (optional) array of double, values to include within limits   
%        default value []   
%   
%  OUTPUT:   
%   limits: [min max]   
%   
%  EXAMPLE:   
%   limits = ax_limits(gca, 'x')   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
