%  lm_innerpixelsize - Change pixelsize property of frame based on size of   
%  its content   
%   
%  CALL:   
%     outbordersize = lm_innerpixelsize(hframe, innerborderpixelsize)   
%   
%  INPUT:   
%     hframe:   
%         modelit.layout.Frame   
%     innerpixelsize:   
%         required pixel size (inner border)   
%   
%  OUTPUT:   
%     outbordersize:   
%         computed outer border size   
%   
%  SUMMARRY   
%     Change pixelsize property of frame so that the size of   
%     the innerframe matches a given size. This utility is useful if the   
%     size of what goes into the frame is known and one wants to shrink the   
%     outer frame so that it exactly fits its contents.   
%   
%  APPROACH:   
%     In many cases the desired display size of the content of a frame is   
%     known. However the user must specify the property "pixelsize" of a   
%     frame. When the frame is plotted, "pixelsize" will determine the   
%     outerborder size of the frame. The actual innerborder is plotted   
%     inside the outerborder with margins "minmarges".   
%     To obtain the outher border size based on frame content size one must   
%     add:   
%     -1- frame content size   
%     -2- width of border   
%     -3- the width of the border must include the height of the title.   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
