%  lm_resize - Resize the figure and position all the objects it contains   
%   
%  CALL:   
%     lm_resize(HWIN):   
%          resize all frames, hide/unhide frames (applyAvtive=true)   
%     lm_resize(HWIN,event):   
%          (any value of event)   
%          resize all frames, do not hide/unhide frames (applyAvtive=true)   
%     lm_resize(hFrame):   
%          resize hFrame and below, do not hide/unhide frames   
%          (applyAvtive=false)   
%     lm_resize(hFrame,applyActive):   
%          resize hFrame and below, specify whether or not to hide/unhide   
%          frames   
%   
%  INPUT:   
%   hResize:   
%     figure handle, or frame handle   
%   applyActive:   
%     defaults to false.   
%     only used when hResize is a frame.   
%     if applyActive=true, all objects will be scanned to check whether or   
%     not they are in an active frame. If needed, visibility status will be   
%     updated.   
%     if false, above step is skipped for a faster response.   
%   
%  OUTPUT:   
%   All frames created with "lm_createframe" and all the objects linked to   
%   these frames with "lm_linkobj" are positioned in the figure.   
%   
%  EXAMPLE:   
%   lm_resize(HWIN);   
%   set(HWIN,'Visible','on','ResizeFcn',@lm_resize);   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
