%  stringheight - Determine width and height of a string in pixels for a specific font.   
%   
%  CALL:   
%      height = stringheight(HWIN, fontname, fontsize)   
%   
%  INPUT:   
%     fontname, fontsize:   
%         Font attributes   
%   
%  OUTPUT:   
%     height:   
%         scalar double (with integer value)   
%   
%  NOTES   
%        the 4tch component of Extent (=height) only depends on font and   
%        fontsize, not on fontweight of string   
%      -a-   
%      stringdimensions may be used as an alternative for get(h,'extent').   
%      -b-   
%      The advantage of stringdimensions is that it does not relay of a   
%      uicontrol object   
%      -c-   
%      When uicontrol is present, the extent method is generally faster   
%      -d-   
%      On a uicontrol extent returns a height value that is 4pts higher   
%   
% See also:   
%      stringdimensions   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
