%  table2int32 - Replace table cells with numeric values.   
%   
%  SUMMARY:   
%      This function replaces each cell with its index in the set of unique   
%      rows. This is useful when determinig unique rows in a table of   
%      membership of 1 table in another.   
%   
%  CALL:   
%      M = table2uint32(table)   
%      M = table2uint32(table, flds)   
%      [M1,M2] = table2uint32(table1,flds1, table2,flds2)   
%   
%  INPUT:   
%    table1:   
%          structure of equal height arrays (table)   
%            +----fld1(N,:)   
%            +----fld2(N,:)   
%    flds1:   
%          [cell array of chars] fields to sort on (optional) (default:   
%          fieldnames(table))   
%    table2,flds2: optional second pair of table/fieldnames   
%   
%  OUTPUT:   
%      M(N,P):   
%          [uint32] P=length(flds1). Matrix with rank indices   
%   
%  EXAMPLE:   
%      [1.7;8;-1;8] will be replaced with [2,3,1,3]. In other words: sort   
%      will be supplied.   
%      If you need different behavior, for example output [ 1 2 3 2], use   
%      table2ID   
%   
%  REVISIONS:   
%    20200611 checked for use with R2016b strings.   
%   
%  See also: column2uint32 table2ID   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
