%  tableConvertEmpty - verify that table with no columns is defined   
%                      correctly   
%   
%  CALL:   
%    S = tableConvertEmpty(S)   
%   
%  INPUT:   
%      S:   
%          candidate table   
%   
%  OUTPUT:   
%      S:   
%          Equal to input, if input is nonempty. Otherwise 1x1 struct with   
%          or without fields   
%   
%  NOTE:   
%      A table is represented by a 1x1 struct. 0x1 structs are NOT tables, but   
%      older code still uses this convention.   
%   
%  EXAMPLES:   
%      tableheight(tableConvertEmpty([]))   
%   
%      T.a=1;   
%      T(1)=[];   
%      tableheight(tableConvertEmpty(T))   
%   
%  REVISIONS:   
%    20200611 checked for use with R2016b strings.   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
