%  truecolor - Maak een Matlab truecolor map uit een lineaire   
%              color map.   
%  CALL:   
%   cdata = truecolor(x,map)   
%   
%  INPUT:   
%    x: lineaire color map (indices in colormap)   
%    map: colormap waar x naar verwijst   
%   
%  OUTPUT:   
%   cdata: truecolor 3 dim array voor gebruik als cdata property van button.   
%   
%  APPROACH:   
%    x is een vector van indices in map.   
%    Maak een array bestaande uit color vectoren uit map.   
%    Gebruik RESHAPE om dit array om te vormen tot een 3   
%    dimensioneel array.   
%   
%  NOTE:   
%   uint8 is much more compact than double.   
%   Inefficient code:   
%          cdata=truecolor(x,map)   
%   Efficient code:   
%          cdata=truecolor(x,uint8(255*map))   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
